curl --request POST \
--url https://api.fyvel.io/v1/reports/{reportId}/rows/{rowId}/lines \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '{
"companyIds": ["11111111-1111-4111-8111-111111111111"],
"periodFrom": "2026-01",
"periodTo": "2026-06",
"aggregation": "monthly",
"layerIds": ["44444444-4444-4444-8444-444444444444"],
"costCenterCodes": [100]
}'
{
"companyIds": ["11111111-1111-4111-8111-111111111111"],
"periodFrom": "2026-01",
"periodTo": "2026-06",
"aggregation": "monthly",
"layerIds": ["44444444-4444-4444-8444-444444444444"],
"costCenterCodes": [100]
}
{
"lines": [
{
"key": "category:99999999-9999-4999-8999-999999999999",
"label": "Lizenzen",
"values": {
"2026-01": 8000,
"2026-02": 7500
}
},
{
"key": "account:aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"label": "8400 · Erlöse",
"values": {
"2026-01": 4000,
"2026-02": 4100
}
}
]
}
Berichte
Zeilen
Konten und Kategorien unter einer Datenzeile.
POST
/
v1
/
reports
/
{reportId}
/
rows
/
{rowId}
/
lines
curl --request POST \
--url https://api.fyvel.io/v1/reports/{reportId}/rows/{rowId}/lines \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '{
"companyIds": ["11111111-1111-4111-8111-111111111111"],
"periodFrom": "2026-01",
"periodTo": "2026-06",
"aggregation": "monthly",
"layerIds": ["44444444-4444-4444-8444-444444444444"],
"costCenterCodes": [100]
}'
{
"companyIds": ["11111111-1111-4111-8111-111111111111"],
"periodFrom": "2026-01",
"periodTo": "2026-06",
"aggregation": "monthly",
"layerIds": ["44444444-4444-4444-8444-444444444444"],
"costCenterCodes": [100]
}
{
"lines": [
{
"key": "category:99999999-9999-4999-8999-999999999999",
"label": "Lizenzen",
"values": {
"2026-01": 8000,
"2026-02": 7500
}
},
{
"key": "account:aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"label": "8400 · Erlöse",
"values": {
"2026-01": 4000,
"2026-02": 4100
}
}
]
}
curl --request POST \
--url https://api.fyvel.io/v1/reports/{reportId}/rows/{rowId}/lines \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '{
"companyIds": ["11111111-1111-4111-8111-111111111111"],
"periodFrom": "2026-01",
"periodTo": "2026-06",
"aggregation": "monthly",
"layerIds": ["44444444-4444-4444-8444-444444444444"],
"costCenterCodes": [100]
}'
{
"companyIds": ["11111111-1111-4111-8111-111111111111"],
"periodFrom": "2026-01",
"periodTo": "2026-06",
"aggregation": "monthly",
"layerIds": ["44444444-4444-4444-8444-444444444444"],
"costCenterCodes": [100]
}
{
"lines": [
{
"key": "category:99999999-9999-4999-8999-999999999999",
"label": "Lizenzen",
"values": {
"2026-01": 8000,
"2026-02": 7500
}
},
{
"key": "account:aaaaaaaa-aaaa-4aaa-8aaa-aaaaaaaaaaaa",
"label": "8400 · Erlöse",
"values": {
"2026-01": 4000,
"2026-02": 4100
}
}
]
}
Bearer und der API-Schlüssel. Siehe Authentifizierung.Path parameters
Berichts-ID aus Berichte.
Zeilen-ID aus der Struktur. Nur Zeilen vom Typ
data lassen sich öffnen.Body
Der Filter der Werte, ohne zusätzliche Felder.costCenterCodes und costCenterGroupIds begrenzen die Zeilen auf diese Kostenstellen, genau wie bei den Werten. Dieselbe Auswahl, sonst passen die Zeilen nicht zur Zahl.
Response
Andere Zeilentypen antworten mit 400 und
ROW_NOT_EXPANDABLE. Eine unbekannte Zeile antwortet mit 404 und ROW_NOT_FOUND.